OGRE: Ogre::PbsMobileProperty Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Static Public Attributes | List of all members
Ogre::PbsMobileProperty Struct Reference
Component » Material

`#include <OgreHlmsPbsMobile.h>`

## Static Public Attributes
static const IdString | BlendModeIndex0
static const IdString | BlendModeIndex1
static const IdString | BlendModeIndex2
static const IdString | BlendModeIndex3
static const IdString * | BlendModes [4]
static const IdString | DetailDiffuseSwizzle0
static const IdString | DetailDiffuseSwizzle1
static const IdString | DetailDiffuseSwizzle2
static const IdString | DetailDiffuseSwizzle3
static const IdString * | DetailDiffuseSwizzles [4]
static const IdString | DetailMapsDiffuse
static const IdString | DetailMapsNormal
static const IdString | DetailNormalSwizzle0
static const IdString | DetailNormalSwizzle1
static const IdString | DetailNormalSwizzle2
static const IdString | DetailNormalSwizzle3
static const IdString * | DetailNormalSwizzles [4]
static const IdString * | DetailNormalWeights [4]
static const IdString | DetailOffsetsD
static const IdString | DetailOffsetsD0
static const IdString | DetailOffsetsD1
static const IdString | DetailOffsetsD2
static const IdString | DetailOffsetsD3
static const IdString * | DetailOffsetsDPtrs [4]
static const IdString | DetailOffsetsN
static const IdString | DetailOffsetsN0
static const IdString | DetailOffsetsN1
static const IdString | DetailOffsetsN2
static const IdString | DetailOffsetsN3
static const IdString * | DetailOffsetsNPtrs [4]
static const IdString | DetailWeightMap
static const IdString | DetailWeights
static const IdString | DiffuseMap
static const IdString | EnvProbeMap
static const IdString | FresnelScalar
static const IdString | HwGammaRead
static const IdString | HwGammaWrite
static const IdString | NormalMap
static const IdString | NormalMapTex
static const IdString | NormalWeight
static const IdString | NormalWeightDetail0
static const IdString | NormalWeightDetail1
static const IdString | NormalWeightDetail2
static const IdString | NormalWeightDetail3
static const IdString | NormalWeightTex
static const IdString | RoughnessMap
static const IdString | SignedIntTex
static const IdString | SpecularMap
static const IdString | UvAtlas
static const IdString | UvDetail0
static const IdString | UvDetail1
static const IdString | UvDetail2
static const IdString | UvDetail3
static const IdString | UvDetailNm0
static const IdString | UvDetailNm1
static const IdString | UvDetailNm2
static const IdString | UvDetailNm3
static const IdString | UvDetailWeight
static const IdString | UvDiffuse
static const IdString | UvNormal
static const IdString | UvRoughness
static const IdString * | UvSourcePtrs [NUM_PBSM_SOURCES]
static const IdString | UvSpecular

## Member Data Documentation

## ◆ BlendModeIndex0

const IdString Ogre::PbsMobileProperty::BlendModeIndex0
| static

## ◆ BlendModeIndex1

const IdString Ogre::PbsMobileProperty::BlendModeIndex1
| static

## ◆ BlendModeIndex2

const IdString Ogre::PbsMobileProperty::BlendModeIndex2
| static

## ◆ BlendModeIndex3

const IdString Ogre::PbsMobileProperty::BlendModeIndex3
| static

## ◆ BlendModes

const IdString* Ogre::PbsMobileProperty::BlendModes[4]
| static

## ◆ DetailDiffuseSwizzle0

const IdString Ogre::PbsMobileProperty::DetailDiffuseSwizzle0
| static

## ◆ DetailDiffuseSwizzle1

const IdString Ogre::PbsMobileProperty::DetailDiffuseSwizzle1
| static

## ◆ DetailDiffuseSwizzle2

const IdString Ogre::PbsMobileProperty::DetailDiffuseSwizzle2
| static

## ◆ DetailDiffuseSwizzle3

const IdString Ogre::PbsMobileProperty::DetailDiffuseSwizzle3
| static

## ◆ DetailDiffuseSwizzles

const IdString* Ogre::PbsMobileProperty::DetailDiffuseSwizzles[4]
| static

## ◆ DetailMapsDiffuse

const IdString Ogre::PbsMobileProperty::DetailMapsDiffuse
| static

## ◆ DetailMapsNormal

const IdString Ogre::PbsMobileProperty::DetailMapsNormal
| static

## ◆ DetailNormalSwizzle0

const IdString Ogre::PbsMobileProperty::DetailNormalSwizzle0
| static

## ◆ DetailNormalSwizzle1

const IdString Ogre::PbsMobileProperty::DetailNormalSwizzle1
| static

## ◆ DetailNormalSwizzle2

const IdString Ogre::PbsMobileProperty::DetailNormalSwizzle2
| static

## ◆ DetailNormalSwizzle3

const IdString Ogre::PbsMobileProperty::DetailNormalSwizzle3
| static

## ◆ DetailNormalSwizzles

const IdString* Ogre::PbsMobileProperty::DetailNormalSwizzles[4]
| static

## ◆ DetailNormalWeights

const IdString* Ogre::PbsMobileProperty::DetailNormalWeights[4]
| static

## ◆ DetailOffsetsD

const IdString Ogre::PbsMobileProperty::DetailOffsetsD
| static

## ◆ DetailOffsetsD0

const IdString Ogre::PbsMobileProperty::DetailOffsetsD0
| static

## ◆ DetailOffsetsD1

const IdString Ogre::PbsMobileProperty::DetailOffsetsD1
| static

## ◆ DetailOffsetsD2

const IdString Ogre::PbsMobileProperty::DetailOffsetsD2
| static

## ◆ DetailOffsetsD3

const IdString Ogre::PbsMobileProperty::DetailOffsetsD3
| static

## ◆ DetailOffsetsDPtrs

const IdString* Ogre::PbsMobileProperty::DetailOffsetsDPtrs[4]
| static

## ◆ DetailOffsetsN

const IdString Ogre::PbsMobileProperty::DetailOffsetsN
| static

## ◆ DetailOffsetsN0

const IdString Ogre::PbsMobileProperty::DetailOffsetsN0
| static

## ◆ DetailOffsetsN1

const IdString Ogre::PbsMobileProperty::DetailOffsetsN1
| static

## ◆ DetailOffsetsN2

const IdString Ogre::PbsMobileProperty::DetailOffsetsN2
| static

## ◆ DetailOffsetsN3

const IdString Ogre::PbsMobileProperty::DetailOffsetsN3
| static

## ◆ DetailOffsetsNPtrs

const IdString* Ogre::PbsMobileProperty::DetailOffsetsNPtrs[4]
| static

## ◆ DetailWeightMap

const IdString Ogre::PbsMobileProperty::DetailWeightMap
| static

## ◆ DetailWeights

const IdString Ogre::PbsMobileProperty::DetailWeights
| static

## ◆ DiffuseMap

const IdString Ogre::PbsMobileProperty::DiffuseMap
| static

## ◆ EnvProbeMap

const IdString Ogre::PbsMobileProperty::EnvProbeMap
| static

## ◆ FresnelScalar

const IdString Ogre::PbsMobileProperty::FresnelScalar
| static

## ◆ HwGammaRead

const IdString Ogre::PbsMobileProperty::HwGammaRead
| static

## ◆ HwGammaWrite

const IdString Ogre::PbsMobileProperty::HwGammaWrite
| static

## ◆ NormalMap

const IdString Ogre::PbsMobileProperty::NormalMap
| static

## ◆ NormalMapTex

const IdString Ogre::PbsMobileProperty::NormalMapTex
| static

## ◆ NormalWeight

const IdString Ogre::PbsMobileProperty::NormalWeight
| static

## ◆ NormalWeightDetail0

const IdString Ogre::PbsMobileProperty::NormalWeightDetail0
| static

## ◆ NormalWeightDetail1

const IdString Ogre::PbsMobileProperty::NormalWeightDetail1
| static

## ◆ NormalWeightDetail2

const IdString Ogre::PbsMobileProperty::NormalWeightDetail2
| static

## ◆ NormalWeightDetail3

const IdString Ogre::PbsMobileProperty::NormalWeightDetail3
| static

## ◆ NormalWeightTex

const IdString Ogre::PbsMobileProperty::NormalWeightTex
| static

## ◆ RoughnessMap

const IdString Ogre::PbsMobileProperty::RoughnessMap
| static

## ◆ SignedIntTex

const IdString Ogre::PbsMobileProperty::SignedIntTex
| static

## ◆ SpecularMap

const IdString Ogre::PbsMobileProperty::SpecularMap
| static

## ◆ UvAtlas

const IdString Ogre::PbsMobileProperty::UvAtlas
| static

## ◆ UvDetail0

const IdString Ogre::PbsMobileProperty::UvDetail0
| static

## ◆ UvDetail1

const IdString Ogre::PbsMobileProperty::UvDetail1
| static

## ◆ UvDetail2

const IdString Ogre::PbsMobileProperty::UvDetail2
| static

## ◆ UvDetail3

const IdString Ogre::PbsMobileProperty::UvDetail3
| static

## ◆ UvDetailNm0

const IdString Ogre::PbsMobileProperty::UvDetailNm0
| static

## ◆ UvDetailNm1

const IdString Ogre::PbsMobileProperty::UvDetailNm1
| static

## ◆ UvDetailNm2

const IdString Ogre::PbsMobileProperty::UvDetailNm2
| static

## ◆ UvDetailNm3

const IdString Ogre::PbsMobileProperty::UvDetailNm3
| static

## ◆ UvDetailWeight

const IdString Ogre::PbsMobileProperty::UvDetailWeight
| static

## ◆ UvDiffuse

const IdString Ogre::PbsMobileProperty::UvDiffuse
| static

## ◆ UvNormal

const IdString Ogre::PbsMobileProperty::UvNormal
| static

## ◆ UvRoughness

const IdString Ogre::PbsMobileProperty::UvRoughness
| static

## ◆ UvSourcePtrs

const IdString* Ogre::PbsMobileProperty::UvSourcePtrs[NUM_PBSM_SOURCES]
| static

## ◆ UvSpecular

const IdString Ogre::PbsMobileProperty::UvSpecular
| static

The documentation for this struct was generated from the following file:

- OgreHlmsPbsMobile.h